# 81. Dotaz: Získat GeoJSON „EquationMap“

Získat GeoJSON "EquationMaps" filtrovaný podle `equationMapUuids`.

Atribut `equationMapGeojson` obsahuje GeoJSON s `Polygony` nebo `MultyPolygons` včetně ge prostorových atributů prvku jako `id`, `value` a `plocha` v definovaných jednotkách.

Klíčové informace:

* Parametr `asMultiGeometry: true` znamená, že `Polygony` (buňky "Equation Map") budou sloučeny do `MultiPolygony` na základě `value` atributu každé buňky "Equation Map".
* Výstupní plochu lze nakonfigurovat pomocí `unit` parametru. Dostupné možnosti: `AKRY`,  `HEKTARY`, `ČTVEREČNÍ_METRY`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Pokud nejsou požadovány geometrie (vyžadují se pouze atributy), pak existuje `attributesJson` místo `equationMapGeojson` k použití.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/81.-dotaz-ziskat-geojson-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
